<html>
<head>

<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.6/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
<!--<script type="text/javascript" src="MathJax/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>-->
<script type="text/javascript" src="jquery-1.10.2.js"></script>
<script type="text/javascript" src="calculationlib/polynomial.js"></script>
<script type="text/javascript" src="calculationlib/mathhelper.js"></script>

<style>
.edit-text {
  display: none;
}
.mathtex {
  float: left;

}
</style>

<script>

var mthhlp = new mathhelper();

$(document).ready(function() {
  $('a.edit').click(function() {
    var t = $(this).parent();  // div
	  var l = t.find('.lab');    // label
    var value = $(".lab").attr("data-value").trim();
    l.hide();
	  t.find('input[type=text]').show().focus().val(value);
  });
  $('input[type=text]').focusout(function() {
    var t = $(this).parent();
	  $(this).hide();
	  var l = t.find('.lab');
    var data = mthhlp.read.polynomial($(this).val());
    var poly = new Polynomial(data);
    l.attr("data-value", $(this).val());
    mthhlp.out.clear(".lab");
    mthhlp.out.write(".lab", poly.Text);
    l.show();
  });
});

</script>

</head>
<body>
<label>

<label for="label-g" style="float:left; padding-right:4px;">İndirgenemez Polinom(\(f(x)\)): </label>
<div class="label-g">
  <label for="elab" class="lab" data-value="2x^256 + 5x^3 - 7x + 1">\(2x^{256} + 5x^3 - 7x + 1\)</label>
  <input type="text" id = "elab" class="edit-text" />
  <a class="edit" href="#" style="padding-left:5px"> Düzenle </a>
</div>

</body>
</html>
